WhatsApp · WhatsApp Calling

List call history for an account

Returns call history for an account, one page at a time.

GEThttps://api.pozy.ai/v1/whatsapp/calls
listWhatsAppCalls

Guides: WhatsApp calling, WhatsApp pricing

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
accountIdrequiredstring
statusstringOne of ringing, answered, ended, failed
directionstringOne of inbound, outbound
sincestring (date-time)
untilstring (date-time)
beforestring (date-time)
limitinteger1 to 200

Example

curl -X GET "https://api.pozy.ai/v1/whatsapp/calls?accountId=696e0b682d0a31188e7a2ba9&limit=1" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • callsarray of object
    11 child fields
    • _idstring
    • directionstring

      One of inbound, outbound.

    • fromstring
    • tostring
    • statusstring

      One of ringing, answered, ended, failed.

    • startedAtstring (date-time)
    • endedAtstring (date-time)
    • durationSecondsinteger
    • endReasonstring

      One of hangup, no_answer, rejected, error.

    • recordingUrlstring
    • billingobject
      6 child fields
      • metaCostUSDnumber
      • carrierCostUSDnumber
      • recordingCostUSDnumber
      • billableCostUSDnumber
      • totalCostUSDnumber
      • currencystring
  • nextCursorstring (date-time)

    Can be null.

200 response
{
  "calls": [
    {
      "_id": "635d87e261ae344ef27fd1df",
      "direction": "inbound",
      "from": "+14155550123",
      "to": "+14155550123",
      "status": "ringing",
      "startedAt": "2026-10-02T09:00:00.000Z",
      "endedAt": "2026-10-02T09:00:00.000Z",
      "durationSeconds": 1,
      "endReason": "hangup",
      "recordingUrl": "https://pozy.ai/media/example-1.jpg",
      "billing": {
        "metaCostUSD": 12.5,
        "carrierCostUSD": 12.5,
        "recordingCostUSD": 12.5,
        "billableCostUSD": 12.5,
        "totalCostUSD": 12.5,
        "currency": "USD"
      }
    }
  ],
  "nextCursor": "2026-10-02T09:00:00.000Z"
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in WhatsApp Calling